Package com.google.android.exoplayer2.extractor.ts

## Class TsPayloadReader.TrackIdGenerator

- java.lang.Object
- - com.google.android.exoplayer2.extractor.ts.TsPayloadReader.TrackIdGenerator

- Enclosing interface:
    TsPayloadReader

      public static final class TsPayloadReader.TrackIdGenerator
      extends Object

  Generates track ids for initializing `TsPayloadReader`s' `TrackOutput`s.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TrackIdGenerator​(int firstTrackId, int trackIdIncrement)` |
    `TrackIdGenerator​(int programNumber, int firstTrackId, int trackIdIncrement)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `generateNewId()` | Generates a new set of track and track format ids.
    `String` | `getFormatId()` | Returns the last generated format id, with the format `"programNumber/trackId"`.
    `int` | `getTrackId()` | Returns the last generated track id.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrackIdGenerator

          public TrackIdGenerator​(int firstTrackId,
                                  int trackIdIncrement)

    - #### TrackIdGenerator

          public TrackIdGenerator​(int programNumber,
                                  int firstTrackId,
                                  int trackIdIncrement)

  - ### Method Detail

    - #### generateNewId

          public void generateNewId()

      Generates a new set of track and track format ids. Must be called before `get*` methods.

    - #### getTrackId

          public int getTrackId()

      Returns the last generated track id. Must be called after the first `generateNewId()` call.
      Returns:
        The last generated track id.

    - #### getFormatId

          public String getFormatId()

      Returns the last generated format id, with the format `"programNumber/trackId"`. If no `programNumber` was provided, the `trackId` alone is used as format id. Must be called after the first `generateNewId()` call.
      Returns:
        The last generated format id, with the format `"programNumber/trackId"`. If no `programNumber` was provided, the `trackId` alone is used as format id.